Zum Hauptinhalt springen

Create an SFTP user for a Project

POST/v2/projects/{projectId}/sftp-users
API-Version
v2
Request-Methode
POST
Operation-ID
sftp-user-create-sftp-user

Request​

  • projectIdstringrequired

    ID of the Project to create an SFTPUser for.

Responses​

Format
application/json
Beschreibung

Created

  • accessLevelstring (einer von: full, read, unspecified)required

    The level of access for an SFTPUser.

  • activeboolean
  • authUpdatedAtstring (date-time)required
  • createdAtstring (date-time)required
  • descriptionstringrequired
  • detailedPublicKeysArray von object
    • Array[

      A representation of an ssh-public-key, enriched with information derived from the key.

      • *object

        A representation of an ssh-public-key, enriched with information derived from the key.

        • algorithmstring

          Absent if the key cannot be parsed.

        • commentstringrequired
        • fingerprintstring

          SHA256 fingerprint in OpenSSH format, as printed by ssh-keygen -l. Absent if the key cannot be parsed.

        • keystringrequired
      ]
  • directoriesArray von string
    • Array[
      • *string
      ]
  • expiresAtstring (date-time)
  • hasPasswordbooleanrequired
  • idstringrequired
  • projectIdstringrequired
  • publicKeysArray von objectdeprecated

    deprecated by detailedPublicKeys

    • Array[

      A representation of an ssh-public-key.

      • *object

        A representation of an ssh-public-key.

        • commentstringrequired
        • keystringrequired
      ]
  • updatedAtstring (date-time)
  • userNamestringrequired
Content-Type: application/json

{
"accessLevel": "full",
"active": true,
"authUpdatedAt": "1985-10-26T01:21:00.000Z",
"createdAt": "1985-10-26T01:21:00.000Z",
"description": "string",
"detailedPublicKeys": [
{
"algorithm": "ssh-ed25519",
"comment": "string",
"fingerprint": "SHA256:uNiVztksCsDhcc0u9e8BujQXVUpKZIDTMczCvj3tD2s",
"key": "string"
}
],
"directories": [
"string"
],
"expiresAt": "1985-10-26T01:21:00.000Z",
"hasPassword": true,
"id": "string",
"projectId": "string",
"updatedAt": "1985-10-26T01:21:00.000Z",
"userName": "string"
}
{
"description": "A representation of an SFTPUser.",
"properties": {
"accessLevel": {
"description": "The level of access for an SFTPUser.",
"enum": [
"full",
"read",
"unspecified"
],
"type": "string"
},
"active": {
"type": "boolean"
},
"authUpdatedAt": {
"format": "date-time",
"type": "string"
},
"createdAt": {
"format": "date-time",
"type": "string"
},
"description": {
"type": "string"
},
"detailedPublicKeys": {
"items": {
"description": "A representation of an ssh-public-key, enriched with information derived from the key.",
"properties": {
"algorithm": {
"description": "Absent if the key cannot be parsed.",
"example": "ssh-ed25519",
"type": "string"
},
"comment": {
"type": "string"
},
"fingerprint": {
"description": "SHA256 fingerprint in OpenSSH format, as printed by `ssh-keygen -l`. Absent if the key cannot be parsed.",
"example": "SHA256:uNiVztksCsDhcc0u9e8BujQXVUpKZIDTMczCvj3tD2s",
"type": "string"
},
"key": {
"type": "string"
}
},
"required": [
"comment",
"key"
],
"type": "object"
},
"type": "array"
},
"directories": {
"items": {
"type": "string"
},
"type": "array"
},
"expiresAt": {
"format": "date-time",
"type": "string"
},
"hasPassword": {
"type": "boolean"
},
"id": {
"type": "string"
},
"projectId": {
"type": "string"
},
"publicKeys": {
"deprecated": true,
"description": "deprecated by detailedPublicKeys",
"items": {
"description": "A representation of an ssh-public-key.",
"properties": {
"comment": {
"type": "string"
},
"key": {
"type": "string"
}
},
"required": [
"comment",
"key"
],
"type": "object"
},
"type": "array"
},
"updatedAt": {
"format": "date-time",
"type": "string"
},
"userName": {
"type": "string"
}
},
"required": [
"id",
"projectId",
"description",
"userName",
"createdAt",
"authUpdatedAt",
"accessLevel",
"hasPassword"
],
"type": "object"
}

Nutzungsbeispiele​

$ curl \
--fail \
--location \
-X POST \
-d '{"accessLevel":"read","authentication":{"password":"string"},"description":"string","directories":["string"],"expiresAt":"1985-10-26T01:21:00.000Z"}' \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
-H 'Content-Type: application/json' \
https://api.mittwald.de/v2/projects/string/sftp-users
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.sshsftpUser.sftpUserCreateSftpUser({
"projectId": "string",
"data": {
"accessLevel": "read",
"authentication": {
"password": "string"
},
"description": "string",
"directories": [
"string"
],
"expiresAt": "1985-10-26T01:21:00.000Z"
}
});

assertStatus(response, 201);

use \Mittwald\ApiClient\Generated\V2\Clients\SSHSFTPUser\SftpUserCreateSftpUser\SftpUserCreateSftpUserRequest;
use \Mittwald\ApiClient\Generated\V2\Clients\SSHSFTPUser\SftpUserCreateSftpUser\SftpUserCreateSftpUserRequestBody;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

// TODO: Please consult the properties and constructor signature of
// SftpUserCreateSftpUserRequestBody to learn how to construct a valid instance
$body = new SftpUserCreateSftpUserRequestBody(/* TODO: ... */);

$request = (new SftpUserCreateSftpUserRequest(
projectId: "string",
body: $body
));
$response = $client->sshsftpUser()->sftpUserCreateSftpUser($request);

var_dump($response->getBody();

Auf dieser Seite